package kz.arta.synergy.workflow.mobile.android.forms.general.components.users.model;

import java.io.Serializable;

/**
 * Created by neox on 05.04.16.
 * Должности
 */
public class PositionModel implements Serializable {

    private String translation;
    private String elementID;
    private String elementName;
    private int type;
    private int neededSpecCount;
    private int personsCount;
    private String code;
    private String departmentName;
    private boolean transitional;
    private String periodID;
    private String tagName;
    private CustomFields customFields;
    private boolean checked;

    public String getTranslation() {
        return translation;
    }

    public void setTranslation(String translation) {
        this.translation = translation;
    }

    public String getElementID() {
        return elementID;
    }

    public void setElementID(String elementID) {
        this.elementID = elementID;
    }

    public String getElementName() {
        return elementName;
    }

    public void setElementName(String elementName) {
        this.elementName = elementName;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getNeededSpecCount() {
        return neededSpecCount;
    }

    public void setNeededSpecCount(int neededSpecCount) {
        this.neededSpecCount = neededSpecCount;
    }

    public int getPersonsCount() {
        return personsCount;
    }

    public void setPersonsCount(int personsCount) {
        this.personsCount = personsCount;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public boolean isTransitional() {
        return transitional;
    }

    public void setTransitional(boolean transitional) {
        this.transitional = transitional;
    }

    public String getPeriodID() {
        return periodID;
    }

    public void setPeriodID(String periodID) {
        this.periodID = periodID;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public CustomFields getCustomFields() {
        return customFields;
    }

    public void setCustomFields(CustomFields customFields) {
        this.customFields = customFields;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    private class CustomFields implements Serializable {

        /**
         * Идентификатор
         */
        private String id;

        /**
         * Тип
         */
        private String person;
    }
}

